#ifndef SRC_PAGES_FRM01_H_
#define SRC_PAGES_FRM01_H_

#include "../HmiApp.h"
#include "widgets/Widgets.h"
#include "type/Types.h"
#include "misc/misc.h"
#include "widgets/Widgets.h"
#include "type/Types.h"
#include "op/DataSample.h"
#include "op/EventMgr.h"
#include "op/RCP.h"
#include "op/OpLog.h"

using namespace std;
using namespace stt;
using namespace stt::op;
using namespace stt::db;
using namespace stt::misc;
using namespace stt::data;
using namespace stt::util;
using namespace stt::constant;

/********************************
 *
 *  页面类
 *
 *  注意：IDE自动生成，用户勿随意修改
 *
 ********************************/
class HmiApp;

class Frm01: public STTPage {
public:
	STTTextArea *wMTextNumber83;
	STTTextArea *wMTextNumber86;
	STTTextArea *wMTextNumber87;
	STTBar *wMBar14;
	STTArc *wMArc2;
public:
	Frm01(HmiApp *app, STTWidget *par, const string &id, const string &desc = "");
	virtual ~Frm01();
	void onInit();
	void createParts();
	void onLoad();
	bool onClosing();
	void onDispose();
	/*CUSTOM_CODE_BEGIN*/
	/*CUSTOM_CODE_END*/

protected:
	HmiApp *hmiApp;
};

#endif /* SRC_PAGES_FRM01_H_ */
